#include <bits/stdc++.h>
using namespace std;
long long n,niz[200005],q,l,d,br,niz2[200005],prefiks[200005];
int main(){
 cin>>n;
 for(int i=1; i<=n; i++){
  cin>>niz[i];
  if(niz[i-1]>niz[i]){
   niz2[i-1]=1;
  }
 }

 for(int i=1; i<=n; i++){
  prefiks[i]=prefiks[i-1]+niz2[i];
 }

 cin>>q;
 for(int i=1; i<=q; i++){
  cin>>l>>d;
  if(prefiks[d-1]-prefiks[l-1]>1){
   cout<<"NE"<<endl;
  }
  else{
   cout<<"DA"<<endl;
  }
 }

 return 0;
}
/*
5
6 1 8 3 9
3
1 4
2 5
3 5
*/